Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.validator
Class XMLValidationReportSerializer

    java.lang.Object
      org.apache.any23.validator.XMLValidationReportSerializer

All Implemented Interfaces:
  ValidationReportSerializer

    public class XMLValidationReportSerializer

extends Object
implements ValidationReportSerializer

Default implementation of `ValidationReportSerializer` for XML.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Nested Class Summary
`static interface` | `XMLValidationReportSerializer.NodeName` Allows to specify a custom node name.

Constructor Summary
`XMLValidationReportSerializer()`

Method Summary
`void` | `serialize(ValidationReport vr, OutputStream os)` Serializes the validation report on the given output stream.
`void` | `serializeGetterValue(Object o, Method m, PrintStream ps)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLValidationReportSerializer

    public XMLValidationReportSerializer()

Method Detail

### serialize

    public void serialize(ValidationReport vr,
                          OutputStream os)
                   throws SerializationException

  Description copied from interface: `ValidationReportSerializer`
  Serializes the validation report on the given output stream.

  Specified by:
    `serialize` in interface `ValidationReportSerializer`
  Parameters:
    `vr` - the validation report to be serialized.
    `os` - the output stream used to produce the serialization.
  Throws:
    `SerializationException`

### serializeGetterValue

    public void serializeGetterValue(Object o,
                                     Method m,
                                     PrintStream ps)
                              throws SerializationException

  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.